Permalink
Browse files

Merge pull request #24 from sferik/update_thrift_dependency

No need to require rubygems or specify the gem version for thrift
  • Loading branch information...
2 parents 9a3fa7f + 5e3ffeb commit b74549dc14e48b167647efe6cc2ce81a1bca311e @bitbckt bitbckt committed May 9, 2011
Showing with 0 additions and 5 deletions.
  1. +0 −5 lib/thrift_client.rb
View
@@ -1,8 +1,4 @@
-require 'rubygems'
-gem 'thrift', '~>0.5.0'
require 'thrift'
-
-require 'rubygems'
require 'thrift_client/thrift'
require 'thrift_client/connection'
require 'thrift_client/abstract_thrift_client'
@@ -27,7 +23,6 @@ class NoServersAvailable < StandardError; end
<tt>:timeout</tt>:: Specify the default timeout in seconds. Defaults to <tt>1</tt>.
<tt>:timeout_overrides</tt>:: Specify additional timeouts on a per-method basis, in seconds. Only works with <tt>Thrift::BufferedTransport</tt>.
<tt>:defaults</tt>:: Specify default values to return on a per-method basis, if <tt>:raise</tt> is set to false.
-
=end rdoc
def initialize(client_class, servers, options = {})

0 comments on commit b74549d

Please sign in to comment.